com.dlsc.flexgantt.swing.action.gantt

## Class AbstractPrintAction<T extends AbstractGanttChart>

- java.lang.Object
- - javax.swing.AbstractAction
  - - com.dlsc.flexgantt.swing.action.AbstractFlexGanttAction
    - - com.dlsc.flexgantt.swing.action.gantt.AbstractGanttChartAction<T>
      - - com.dlsc.flexgantt.swing.action.gantt.AbstractPrintAction<T>

- Type Parameters:
    `T` - the type of Gantt chart on which the print action will be performed
  All Implemented Interfaces:
    ActionListener, Serializable, Cloneable, EventListener, Action
  Direct Known Subclasses:
    PreviewGanttChartAction, PreviewSecondaryGanttChartAction, PrintGanttChartAction, PrintSecondaryGanttChartAction

      public abstract class AbstractPrintAction<T extends AbstractGanttChart>
      extends AbstractGanttChartAction<T>

  Common superclass for all actions related to printing.
  Since:
    1.0
  Version:
    $Revision: 1.3 $
  Author:
    Dirk Lemmermann
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.dlsc.flexgantt.swing.action.gantt.AbstractGanttChartAction

      `ganttChart`

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractPrintAction(T gc, String name)` Constructs a new print action.
    `protected` | `AbstractPrintAction(T gc, String name, Icon icon)` Constructs a new print action.

  - ### Method Summary

    - ### Methods inherited from class com.dlsc.flexgantt.swing.action.gantt.AbstractGanttChartAction

      `findFocusedTable, getGanttChart, setGanttChart`

    - ### Methods inherited from class com.dlsc.flexgantt.swing.action.AbstractFlexGanttAction

      `getToolTipText, setToolTipText`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.awt.event.ActionListener

      `actionPerformed`

- - ### Constructor Detail

    - #### AbstractPrintAction

          protected AbstractPrintAction(T gc,
                                        String name,
                                        Icon icon)

      Constructs a new print action.
      Parameters:
        `gc` - the Gantt chart on which to invoke printing
        `name` - the name of the action that will be shown on buttons and / or menu items
        `icon` - a graphical representation of the action, also shown on buttons and / or menu items
      Since:
        1.0

    - #### AbstractPrintAction

          protected AbstractPrintAction(T gc,
                                        String name)

      Constructs a new print action.
      Parameters:
        `gc` - the Gantt chart on which to invoke printing
        `name` - the name of the action that will be shown on buttons and / or menu items
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.